SDL_SurfaceHasRLE(3)

NAME
SDL_SurfaceHasRLE - Returns whether the surface is RLE enabled.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_SurfaceHasRLE(SDL_Surface *surface);

DESCRIPTION
It is safe to pass a NULL surface here; it will return SDL_FALSE .

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query

RETURN VALUE
Returns SDL_TRUE
 if the surface is RLE enabled, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetSurfaceRLE(3)